// Copyright 2024 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// AUTOGENERATED - DO NOT EDIT!
// This file is generated by sea_pen_client_generator.py

import {loadTimeData} from 'chrome://resources/js/load_time_data.js';

import {SeaPenTemplate} from './constants.js';
import {SeaPenTemplateChip, SeaPenTemplateId, SeaPenTemplateOption} from './sea_pen_generated.mojom-webui.js';


export function getWallpaperTemplates(): SeaPenTemplate[] {
  return [
    {
      id: SeaPenTemplateId.kFlower,
      title: loadTimeData.getString('seaPenTemplateTitleFlower'),
      text: loadTimeData.getStringF(
          'seaPenTemplateFlower', `<${SeaPenTemplateChip.kFlowerColor}>`,
          `<${SeaPenTemplateChip.kFlowerType}>`),
      preview: [{
        url:
            'chrome://resources/ash/common/sea_pen/sea_pen_images/sea_pen_flower.jpg',
      }],
      options: new Map([
        [
          SeaPenTemplateChip.kFlowerColor,
          [
            {
              value: SeaPenTemplateOption.kFlowerColorPink,
              translation:
                  loadTimeData.getString('seaPenOptionFlowerColorPink'),
            },
            {
              value: SeaPenTemplateOption.kFlowerColorPurple,
              translation:
                  loadTimeData.getString('seaPenOptionFlowerColorPurple'),
            },
            {
              value: SeaPenTemplateOption.kFlowerColorBlue,
              translation:
                  loadTimeData.getString('seaPenOptionFlowerColorBlue'),
            },
            {
              value: SeaPenTemplateOption.kFlowerColorWhite,
              translation:
                  loadTimeData.getString('seaPenOptionFlowerColorWhite'),
            },
            {
              value: SeaPenTemplateOption.kFlowerColorCoral,
              translation:
                  loadTimeData.getString('seaPenOptionFlowerColorCoral'),
            },
            {
              value: SeaPenTemplateOption.kFlowerColorYellow,
              translation:
                  loadTimeData.getString('seaPenOptionFlowerColorYellow'),
            },
            {
              value: SeaPenTemplateOption.kFlowerColorGreen,
              translation:
                  loadTimeData.getString('seaPenOptionFlowerColorGreen'),
            },
            {
              value: SeaPenTemplateOption.kFlowerColorRed,
              translation: loadTimeData.getString('seaPenOptionFlowerColorRed'),
            },
          ],
        ],
        [
          SeaPenTemplateChip.kFlowerType,
          [
            {
              value: SeaPenTemplateOption.kFlowerTypeRose,
              translation: loadTimeData.getString('seaPenOptionFlowerTypeRose'),
            },
            {
              value: SeaPenTemplateOption.kFlowerTypeCallaLily,
              translation:
                  loadTimeData.getString('seaPenOptionFlowerTypeCallaLily'),
            },
            {
              value: SeaPenTemplateOption.kFlowerTypeWindflower,
              translation:
                  loadTimeData.getString('seaPenOptionFlowerTypeWindflower'),
            },
            {
              value: SeaPenTemplateOption.kFlowerTypeTulip,
              translation:
                  loadTimeData.getString('seaPenOptionFlowerTypeTulip'),
            },
            {
              value: SeaPenTemplateOption.kFlowerTypeLilyOfTheValley,
              translation: loadTimeData.getString(
                  'seaPenOptionFlowerTypeLilyOfTheValley'),
            },
            {
              value: SeaPenTemplateOption.kFlowerTypeBirdOfParadise,
              translation: loadTimeData.getString(
                  'seaPenOptionFlowerTypeBirdOfParadise'),
            },
            {
              value: SeaPenTemplateOption.kFlowerTypeOrchid,
              translation:
                  loadTimeData.getString('seaPenOptionFlowerTypeOrchid'),
            },
            {
              value: SeaPenTemplateOption.kFlowerTypeRanunculus,
              translation:
                  loadTimeData.getString('seaPenOptionFlowerTypeRanunculus'),
            },
            {
              value: SeaPenTemplateOption.kFlowerTypeDaisy,
              translation:
                  loadTimeData.getString('seaPenOptionFlowerTypeDaisy'),
            },
            {
              value: SeaPenTemplateOption.kFlowerTypeHydrangea,
              translation:
                  loadTimeData.getString('seaPenOptionFlowerTypeHydrangea'),
            },
          ],
        ],
      ]),
    },
    {
      id: SeaPenTemplateId.kMineral,
      title: 'Minerals',
      text: `A close-up image of <${SeaPenTemplateChip.kMineralName}> with <${
          SeaPenTemplateChip.kMineralColor}> hues`,
      preview: [{
        url:
            'chrome://resources/ash/common/sea_pen/sea_pen_images/sea_pen_mineral.jpg',
      }],
      options: new Map([
        [
          SeaPenTemplateChip.kMineralName,
          [
            {
              value: SeaPenTemplateOption.kMineralNameAgate,
              translation: 'agate',
            },
            {
              value: SeaPenTemplateOption.kMineralNameAmethyst,
              translation: 'amethyst',
            },
            {
              value: SeaPenTemplateOption.kMineralNameAquamarine,
              translation: 'aquamarine',
            },
            {
              value: SeaPenTemplateOption.kMineralNameAragonite,
              translation: 'aragonite',
            },
            {
              value: SeaPenTemplateOption.kMineralNameBismuth,
              translation: 'bismuth',
            },
            {
              value: SeaPenTemplateOption.kMineralNameCerussite,
              translation: 'cerussite',
            },
            {
              value: SeaPenTemplateOption.kMineralNameChalcopyrite,
              translation: 'chalcopyrite',
            },
            {
              value: SeaPenTemplateOption.kMineralNameChrysoprase,
              translation: 'chrysoprase',
            },
            {
              value: SeaPenTemplateOption.kMineralNameFluorite,
              translation: 'fluorite',
            },
            {
              value: SeaPenTemplateOption.kMineralNameGalena,
              translation: 'galena',
            },
            {
              value: SeaPenTemplateOption.kMineralNameJasper,
              translation: 'jasper',
            },
            {
              value: SeaPenTemplateOption.kMineralNameLabradorite,
              translation: 'labradorite',
            },
            {
              value: SeaPenTemplateOption.kMineralNameMoonstone,
              translation: 'moonstone',
            },
            {
              value: SeaPenTemplateOption.kMineralNameOpal,
              translation: 'opal',
            },
            {
              value: SeaPenTemplateOption.kMineralNamePeridot,
              translation: 'peridot',
            },
            {
              value: SeaPenTemplateOption.kMineralNameRhondochrosite,
              translation: 'rhondochrosite',
            },
            {
              value: SeaPenTemplateOption.kMineralNameRuby,
              translation: 'ruby',
            },
            {
              value: SeaPenTemplateOption.kMineralNameSapphire,
              translation: 'sapphire',
            },
            {
              value: SeaPenTemplateOption.kMineralNameQuartz,
              translation: 'quartz',
            },
            {
              value: SeaPenTemplateOption.kMineralNameTourmaline,
              translation: 'tourmaline',
            },
          ],
        ],
        [
          SeaPenTemplateChip.kMineralColor,
          [
            {
              value: SeaPenTemplateOption.kMineralColorWarm,
              translation: 'warm',
            },
            {
              value: SeaPenTemplateOption.kMineralColorCool,
              translation: 'cool',
            },
            {
              value: SeaPenTemplateOption.kMineralColorNeutral,
              translation: 'neutral',
            },
            {
              value: SeaPenTemplateOption.kMineralColorPastel,
              translation: 'pastel',
            },
            {
              value: SeaPenTemplateOption.kMineralColorMuted,
              translation: 'muted',
            },
            {
              value: SeaPenTemplateOption.kMineralColorVibrant,
              translation: 'vibrant',
            },
            {
              value: SeaPenTemplateOption.kMineralColorEarthy,
              translation: 'earthy',
            },
            {
              value: SeaPenTemplateOption.kMineralColorMetallic,
              translation: 'metallic',
            },
            {
              value: SeaPenTemplateOption.kMineralColorNeon,
              translation: 'neon',
            },
            {
              value: SeaPenTemplateOption.kMineralColorTonal,
              translation: 'tonal',
            },
            {
              value: SeaPenTemplateOption.kMineralColorGray,
              translation: 'gray',
            },
          ],
        ],
      ]),
    },
    {
      id: SeaPenTemplateId.kArt,
      title: loadTimeData.getString('seaPenTemplateTitleArt'),
      text: loadTimeData.getStringF(
          'seaPenTemplateArt', `<${SeaPenTemplateChip.kArtFeature}>`,
          `<${SeaPenTemplateChip.kArtMovement}>`),
      preview: [{
        url:
            'chrome://resources/ash/common/sea_pen/sea_pen_images/sea_pen_art.jpg',
      }],
      options: new Map([
        [
          SeaPenTemplateChip.kArtFeature,
          [
            {
              value: SeaPenTemplateOption.kArtFeatureCanyon,
              translation:
                  loadTimeData.getString('seaPenOptionArtFeatureCanyon'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureMountain,
              translation:
                  loadTimeData.getString('seaPenOptionArtFeatureMountain'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureBeach,
              translation:
                  loadTimeData.getString('seaPenOptionArtFeatureBeach'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureCave,
              translation: loadTimeData.getString('seaPenOptionArtFeatureCave'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureCliff,
              translation:
                  loadTimeData.getString('seaPenOptionArtFeatureCliff'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureForest,
              translation:
                  loadTimeData.getString('seaPenOptionArtFeatureForest'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureGlacier,
              translation:
                  loadTimeData.getString('seaPenOptionArtFeatureGlacier'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureIsland,
              translation:
                  loadTimeData.getString('seaPenOptionArtFeatureIsland'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureJungle,
              translation:
                  loadTimeData.getString('seaPenOptionArtFeatureJungle'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureLake,
              translation: loadTimeData.getString('seaPenOptionArtFeatureLake'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureMeadow,
              translation:
                  loadTimeData.getString('seaPenOptionArtFeatureMeadow'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureOcean,
              translation:
                  loadTimeData.getString('seaPenOptionArtFeatureOcean'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureRiver,
              translation:
                  loadTimeData.getString('seaPenOptionArtFeatureRiver'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureDune,
              translation: loadTimeData.getString('seaPenOptionArtFeatureDune'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureSwamp,
              translation:
                  loadTimeData.getString('seaPenOptionArtFeatureSwamp'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureValley,
              translation:
                  loadTimeData.getString('seaPenOptionArtFeatureValley'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureWaterfall,
              translation:
                  loadTimeData.getString('seaPenOptionArtFeatureWaterfall'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureField,
              translation:
                  loadTimeData.getString('seaPenOptionArtFeatureField'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureCityscape,
              translation:
                  loadTimeData.getString('seaPenOptionArtFeatureCityscape'),
            },
            {
              value: SeaPenTemplateOption.kArtFeatureVillage,
              translation:
                  loadTimeData.getString('seaPenOptionArtFeatureVillage'),
            },
          ],
        ],
        [
          SeaPenTemplateChip.kArtMovement,
          [
            {
              value: SeaPenTemplateOption.kArtMovementAvantGarde,
              translation:
                  loadTimeData.getString('seaPenOptionArtMovementAvantGarde'),
            },
            {
              value: SeaPenTemplateOption.kArtMovementRealist,
              translation:
                  loadTimeData.getString('seaPenOptionArtMovementRealist'),
            },
            {
              value: SeaPenTemplateOption.kArtMovementExpressionist,
              translation: loadTimeData.getString(
                  'seaPenOptionArtMovementExpressionist'),
            },
            {
              value: SeaPenTemplateOption.kArtMovementImpressionist,
              translation: loadTimeData.getString(
                  'seaPenOptionArtMovementImpressionist'),
            },
            {
              value: SeaPenTemplateOption.kArtMovementPostImpressionist,
              translation: loadTimeData.getString(
                  'seaPenOptionArtMovementPostImpressionist'),
            },
            {
              value: SeaPenTemplateOption.kArtMovementArtNouveau,
              translation:
                  loadTimeData.getString('seaPenOptionArtMovementArtNouveau'),
            },
            {
              value: SeaPenTemplateOption.kArtMovementBaroque,
              translation:
                  loadTimeData.getString('seaPenOptionArtMovementBaroque'),
            },
            {
              value: SeaPenTemplateOption.kArtMovementBauhaus,
              translation:
                  loadTimeData.getString('seaPenOptionArtMovementBauhaus'),
            },
            {
              value: SeaPenTemplateOption.kArtMovementClassicist,
              translation:
                  loadTimeData.getString('seaPenOptionArtMovementClassicist'),
            },
            {
              value: SeaPenTemplateOption.kArtMovementWatercolor,
              translation:
                  loadTimeData.getString('seaPenOptionArtMovementWatercolor'),
            },
            {
              value: SeaPenTemplateOption.kArtMovementAbstract,
              translation:
                  loadTimeData.getString('seaPenOptionArtMovementAbstract'),
            },
            {
              value: SeaPenTemplateOption.kArtMovementPointillist,
              translation:
                  loadTimeData.getString('seaPenOptionArtMovementPointillist'),
            },
            {
              value: SeaPenTemplateOption.kArtMovementGraphicDesign,
              translation: loadTimeData.getString(
                  'seaPenOptionArtMovementGraphicDesign'),
            },
            {
              value: SeaPenTemplateOption.kArtMovementModernArt,
              translation:
                  loadTimeData.getString('seaPenOptionArtMovementModernArt'),
            },
          ],
        ],
      ]),
    },
    {
      id: SeaPenTemplateId.kCharacters,
      title: loadTimeData.getString('seaPenTemplateTitleCharacters'),
      text: loadTimeData.getStringF(
          'seaPenTemplateCharacters',
          `<${SeaPenTemplateChip.kCharactersColor}>`,
          `<${SeaPenTemplateChip.kCharactersSubjects}>`,
          `<${SeaPenTemplateChip.kCharactersBackground}>`),
      preview: [{
        url:
            'chrome://resources/ash/common/sea_pen/sea_pen_images/sea_pen_characters.jpg',
      }],
      options: new Map([
        [
          SeaPenTemplateChip.kCharactersColor,
          [
            {
              value: SeaPenTemplateOption.kCharactersColorYellow,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersColorYellow'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorPink,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersColorPink'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorRed,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersColorRed'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorBlue,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersColorBlue'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorIndigo,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersColorIndigo'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorGreen,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersColorGreen'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorCyan,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersColorCyan'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorPurple,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersColorPurple'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorBrown,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersColorBrown'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorGold,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersColorGold'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorRust,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersColorRust'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorOlive,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersColorOlive'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorGray,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersColorGray'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorWhite,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersColorWhite'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorBeige,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersColorBeige'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorMagenta,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersColorMagenta'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorNeonGreen,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersColorNeonGreen'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorLightBlue,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersColorLightBlue'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorNeonPink,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersColorNeonPink'),
            },
            {
              value: SeaPenTemplateOption.kCharactersColorCoralPink,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersColorCoralPink'),
            },
          ],
        ],
        [
          SeaPenTemplateChip.kCharactersSubjects,
          [
            {
              value: SeaPenTemplateOption.kCharactersSubjectsLemons,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsLemons'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsFlowers,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsFlowers'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsApples,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsApples'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsCherries,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsCherries'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsOranges,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsOranges'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsPineapples,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsPineapples'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsStrawberries,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsStrawberries'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsWatermelons,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsWatermelons'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsPotatoes,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsPotatoes'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsSushi,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersSubjectsSushi'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsBaconAndEggs,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsBaconAndEggs'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsPizza,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersSubjectsPizza'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsHotDogs,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsHotDogs'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsHamburgers,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsHamburgers'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsRamen,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersSubjectsRamen'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsTacos,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersSubjectsTacos'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsBunnies,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsBunnies'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsCats,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersSubjectsCats'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsDogs,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersSubjectsDogs'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsKoalas,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsKoalas'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsPandas,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsPandas'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsPenguins,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsPenguins'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsPigs,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersSubjectsPigs'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsSloths,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsSloths'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsPonies,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsPonies'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsElephants,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsElephants'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsFoxes,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersSubjectsFoxes'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsOwls,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersSubjectsOwls'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsCrabs,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersSubjectsCrabs'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsBees,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersSubjectsBees'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsButterflies,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsButterflies'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsBicycles,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsBicycles'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsBoats,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersSubjectsBoats'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsBooks,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersSubjectsBooks'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsCutlery,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsCutlery'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsUmbrellas,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsUmbrellas'),
            },
            {
              value: SeaPenTemplateOption.kCharactersSubjectsInstruments,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersSubjectsInstruments'),
            },
          ],
        ],
        [
          SeaPenTemplateChip.kCharactersBackground,
          [
            {
              value: SeaPenTemplateOption.kCharactersBackgroundPurple,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundPurple'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundBlue,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundBlue'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundIndigo,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundIndigo'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundGreen,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundGreen'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundCyan,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundCyan'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundBrown,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundBrown'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundGold,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundGold'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundRed,
              translation:
                  loadTimeData.getString('seaPenOptionCharactersBackgroundRed'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundRust,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundRust'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundOlive,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundOlive'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundPink,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundPink'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundGray,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundGray'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundYellow,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundYellow'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundWhite,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundWhite'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundBeige,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundBeige'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundMagenta,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundMagenta'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundNeonGreen,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundNeonGreen'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundLightBlue,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundLightBlue'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundNeonPink,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundNeonPink'),
            },
            {
              value: SeaPenTemplateOption.kCharactersBackgroundCoralPink,
              translation: loadTimeData.getString(
                  'seaPenOptionCharactersBackgroundCoralPink'),
            },
          ],
        ],
      ]),
    },
    {
      id: SeaPenTemplateId.kTerrain,
      title: loadTimeData.getString('seaPenTemplateTitleTerrain'),
      text: loadTimeData.getStringF(
          'seaPenTemplateTerrain', `<${SeaPenTemplateChip.kTerrainFeature}>`,
          `<${SeaPenTemplateChip.kTerrainColor}>`),
      preview: [{
        url:
            'chrome://resources/ash/common/sea_pen/sea_pen_images/sea_pen_terrain.jpg',
      }],
      options: new Map([
        [
          SeaPenTemplateChip.kTerrainFeature,
          [
            {
              value: SeaPenTemplateOption.kTerrainFeatureSaltLake,
              translation:
                  loadTimeData.getString('seaPenOptionTerrainFeatureSaltLake'),
            },
            {
              value: SeaPenTemplateOption.kTerrainFeatureRiver,
              translation:
                  loadTimeData.getString('seaPenOptionTerrainFeatureRiver'),
            },
            {
              value: SeaPenTemplateOption.kTerrainFeatureNorthernLights,
              translation: loadTimeData.getString(
                  'seaPenOptionTerrainFeatureNorthernLights'),
            },
            {
              value: SeaPenTemplateOption.kTerrainFeatureSandDunes,
              translation:
                  loadTimeData.getString('seaPenOptionTerrainFeatureSandDunes'),
            },
            {
              value: SeaPenTemplateOption.kTerrainFeatureClayHills,
              translation:
                  loadTimeData.getString('seaPenOptionTerrainFeatureClayHills'),
            },
            {
              value: SeaPenTemplateOption.kTerrainFeatureSandyLagoon,
              translation: loadTimeData.getString(
                  'seaPenOptionTerrainFeatureSandyLagoon'),
            },
            {
              value: SeaPenTemplateOption.kTerrainFeatureMountains,
              translation:
                  loadTimeData.getString('seaPenOptionTerrainFeatureMountains'),
            },
            {
              value: SeaPenTemplateOption.kTerrainFeatureBioluminescentBeach,
              translation: loadTimeData.getString(
                  'seaPenOptionTerrainFeatureBioluminescentBeach'),
            },
            {
              value: SeaPenTemplateOption.kTerrainFeatureFireflyForest,
              translation: loadTimeData.getString(
                  'seaPenOptionTerrainFeatureFireflyForest'),
            },
            {
              value: SeaPenTemplateOption.kTerrainFeatureDifferentPlanet,
              translation: loadTimeData.getString(
                  'seaPenOptionTerrainFeatureDifferentPlanet'),
            },
          ],
        ],
        [
          SeaPenTemplateChip.kTerrainColor,
          [
            {
              value: SeaPenTemplateOption.kTerrainColorPink,
              translation:
                  loadTimeData.getString('seaPenOptionTerrainColorPink'),
            },
            {
              value: SeaPenTemplateOption.kTerrainColorTeal,
              translation:
                  loadTimeData.getString('seaPenOptionTerrainColorTeal'),
            },
            {
              value: SeaPenTemplateOption.kTerrainColorWhite,
              translation:
                  loadTimeData.getString('seaPenOptionTerrainColorWhite'),
            },
            {
              value: SeaPenTemplateOption.kTerrainColorPurple,
              translation:
                  loadTimeData.getString('seaPenOptionTerrainColorPurple'),
            },
            {
              value: SeaPenTemplateOption.kTerrainColorBlue,
              translation:
                  loadTimeData.getString('seaPenOptionTerrainColorBlue'),
            },
            {
              value: SeaPenTemplateOption.kTerrainColorYellow,
              translation:
                  loadTimeData.getString('seaPenOptionTerrainColorYellow'),
            },
            {
              value: SeaPenTemplateOption.kTerrainColorMaroonPink,
              translation:
                  loadTimeData.getString('seaPenOptionTerrainColorMaroonPink'),
            },
            {
              value: SeaPenTemplateOption.kTerrainColorBluePurple,
              translation:
                  loadTimeData.getString('seaPenOptionTerrainColorBluePurple'),
            },
            {
              value: SeaPenTemplateOption.kTerrainColorPinkYellow,
              translation:
                  loadTimeData.getString('seaPenOptionTerrainColorPinkYellow'),
            },
            {
              value: SeaPenTemplateOption.kTerrainColorBluePink,
              translation:
                  loadTimeData.getString('seaPenOptionTerrainColorBluePink'),
            },
          ],
        ],
      ]),
    },
    {
      id: SeaPenTemplateId.kCurious,
      title: 'Curious world',
      text: `A <${SeaPenTemplateChip.kCuriousColor}> <${
          SeaPenTemplateChip.kCuriousFeature}> with <${
          SeaPenTemplateChip.kCuriousSubject}>`,
      preview: [{
        url:
            'chrome://resources/ash/common/sea_pen/sea_pen_images/sea_pen_curious.jpg',
      }],
      options: new Map([
        [
          SeaPenTemplateChip.kCuriousColor,
          [
            {
              value: SeaPenTemplateOption.kCuriousColorBlue,
              translation: 'blue',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorRed,
              translation: 'red',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorYellow,
              translation: 'yellow',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorGreen,
              translation: 'green',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorPurple,
              translation: 'purple',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorOrange,
              translation: 'orange',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorPink,
              translation: 'pink',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorBrown,
              translation: 'brown',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorBlack,
              translation: 'black',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorTurquoise,
              translation: 'turquoise',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorMagenta,
              translation: 'magenta',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorLavender,
              translation: 'lavender',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorMaroon,
              translation: 'maroon',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorNavy,
              translation: 'navy',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorOlive,
              translation: 'olive',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorCoral,
              translation: 'coral',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorCream,
              translation: 'cream',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorIndigo,
              translation: 'indigo',
            },
            {
              value: SeaPenTemplateOption.kCuriousColorFuchsia,
              translation: 'fuchsia',
            },
          ],
        ],
        [
          SeaPenTemplateChip.kCuriousFeature,
          [
            {
              value: SeaPenTemplateOption.kCuriousFeatureAlpineLake,
              translation: 'alpine lake',
            },
            {
              value: SeaPenTemplateOption.kCuriousFeatureGalaxy,
              translation: 'space galaxy',
            },
            {
              value: SeaPenTemplateOption.kCuriousFeatureSandDunes,
              translation: 'sand dunes',
            },
            {
              value: SeaPenTemplateOption.kCuriousFeatureSwamp,
              translation: 'foggy swamp',
            },
            {
              value: SeaPenTemplateOption.kCuriousFeatureBeach,
              translation: 'beach',
            },
            {
              value: SeaPenTemplateOption.kCuriousFeatureMountains,
              translation: 'mountains',
            },
            {
              value: SeaPenTemplateOption.kCuriousFeatureRiver,
              translation: 'river',
            },
            {
              value: SeaPenTemplateOption.kCuriousFeatureWaterfall,
              translation: 'waterfall',
            },
          ],
        ],
        [
          SeaPenTemplateChip.kCuriousSubject,
          [
            {
              value: SeaPenTemplateOption.kCuriousSubjectCherryBlossoms,
              translation: 'cherry blossoms',
            },
            {
              value: SeaPenTemplateOption.kCuriousSubjectJasmineFlowers,
              translation: 'jasmine flowers',
            },
            {
              value: SeaPenTemplateOption.kCuriousSubjectDaisies,
              translation: 'daisies',
            },
            {
              value: SeaPenTemplateOption.kCuriousSubjectTulips,
              translation: 'tulips',
            },
            {
              value: SeaPenTemplateOption.kCuriousSubjectCarnations,
              translation: 'carnations',
            },
            {
              value: SeaPenTemplateOption.kCuriousSubjectDaffodils,
              translation: 'daffodils',
            },
            {
              value: SeaPenTemplateOption.kCuriousSubjectForgetMeNots,
              translation: 'forget-me-nots',
            },
            {
              value: SeaPenTemplateOption.kCuriousSubjectSunflowers,
              translation: 'sunflowers',
            },
            {
              value: SeaPenTemplateOption.kCuriousSubjectBougainvilleas,
              translation: 'bougainvilleas',
            },
            {
              value: SeaPenTemplateOption.kCuriousSubjectAirPlants,
              translation: 'air plants',
            },
            {
              value: SeaPenTemplateOption.kCuriousSubjectSucculents,
              translation: 'succulents',
            },
          ],
        ],
      ]),
    },
    {
      id: SeaPenTemplateId.kDreamscapes,
      title: loadTimeData.getString('seaPenTemplateTitleDreamscapes'),
      text: loadTimeData.getStringF(
          'seaPenTemplateDreamscapes',
          `<${SeaPenTemplateChip.kDreamscapesObject}>`,
          `<${SeaPenTemplateChip.kDreamscapesMaterial}>`,
          `<${SeaPenTemplateChip.kDreamscapesColors}>`),
      preview: [{
        url:
            'chrome://resources/ash/common/sea_pen/sea_pen_images/sea_pen_dreamscapes.jpg',
      }],
      options: new Map([
        [
          SeaPenTemplateChip.kDreamscapesObject,
          [
            {
              value: SeaPenTemplateOption.kDreamscapesObjectBicycle,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesObjectBicycle'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesObjectCastle,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesObjectCastle'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesObjectBuilding,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesObjectBuilding'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesObjectBoat,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesObjectBoat'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesObjectLamp,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesObjectLamp'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesObjectTable,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesObjectTable'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesObjectBridge,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesObjectBridge'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesObjectLighthouse,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesObjectLighthouse'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesObjectPagoda,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesObjectPagoda'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesObjectPalace,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesObjectPalace'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesObjectTower,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesObjectTower'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesObjectChair,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesObjectChair'),
            },
          ],
        ],
        [
          SeaPenTemplateChip.kDreamscapesMaterial,
          [
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialFlowers,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesMaterialFlowers'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialSilk,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesMaterialSilk'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialFelt,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesMaterialFelt'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialBurlap,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesMaterialBurlap'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialChiffon,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesMaterialChiffon'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialCotton,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesMaterialCotton'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialFur,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesMaterialFur'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialLace,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesMaterialLace'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialLinen,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesMaterialLinen'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialOrganza,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesMaterialOrganza'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialTulle,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesMaterialTulle'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialWool,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesMaterialWool'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialYarn,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesMaterialYarn'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialFleece,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesMaterialFleece'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialClay,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesMaterialClay'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialStone,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesMaterialStone'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialWood,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesMaterialWood'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialAmethyst,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesMaterialAmethyst'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialLapisLuzuli,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesMaterialLapisLuzuli'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialObsidian,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesMaterialObsidian'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialOpal,
              translation:
                  loadTimeData.getString('seaPenOptionDreamscapesMaterialOpal'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesMaterialSapphire,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesMaterialSapphire'),
            },
          ],
        ],
        [
          SeaPenTemplateChip.kDreamscapesColors,
          [
            {
              value: SeaPenTemplateOption.kDreamscapesColorsPinkPurple,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesColorsPinkPurple'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesColorsCoralTan,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesColorsCoralTan'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesColorsCreamOrange,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesColorsCreamOrange'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesColorsBlueIndigo,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesColorsBlueIndigo'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesColorsGreenTeal,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesColorsGreenTeal'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesColorsBurgundyMaroon,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesColorsBurgundyMaroon'),
            },
            {
              value: SeaPenTemplateOption.kDreamscapesColorsYellowTeal,
              translation: loadTimeData.getString(
                  'seaPenOptionDreamscapesColorsYellowTeal'),
            },
          ],
        ],
      ]),
    },
    {
      id: SeaPenTemplateId.kTranslucent,
      title: 'Translucent',
      text: `Translucent <${SeaPenTemplateChip.kTranslucentItem}> in <${
          SeaPenTemplateChip.kTranslucentColor}>`,
      preview: [{
        url:
            'chrome://resources/ash/common/sea_pen/sea_pen_images/sea_pen_translucent.jpg',
      }],
      options: new Map([
        [
          SeaPenTemplateChip.kTranslucentItem,
          [
            {
              value: SeaPenTemplateOption.kTranslucentItemApple,
              translation: 'apple slice',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemAzalea,
              translation: 'azalea',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemBegonia,
              translation: 'begonia',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemBluebell,
              translation: 'bluebell',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemCherryBlossom,
              translation: 'cherry blossom',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemChrysanthemum,
              translation: 'chrysanthemum',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemClemati,
              translation: 'clemati',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemDaffodil,
              translation: 'daffodil',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemDaisy,
              translation: 'daisy',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemDandelion,
              translation: 'dandelion',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemRose,
              translation: 'desert rose',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemDogwood,
              translation: 'dogwood',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemHibiscus,
              translation: 'hibiscus',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemHydrangea,
              translation: 'hydrangea',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemLeaf,
              translation: 'leaf',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemLily,
              translation: 'lily',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemPansy,
              translation: 'pansy',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemPear,
              translation: 'pear slice',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemPeony,
              translation: 'peony',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemPhilodendron,
              translation: 'philodendron',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemPoppy,
              translation: 'poppy',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemSunflower,
              translation: 'sunflower',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemPea,
              translation: 'sweet pea',
            },
            {
              value: SeaPenTemplateOption.kTranslucentItemTulip,
              translation: 'tulip',
            },
          ],
        ],
        [
          SeaPenTemplateChip.kTranslucentColor,
          [
            {
              value: SeaPenTemplateOption.kTranslucentColorPink,
              translation: 'pink',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorBlue,
              translation: 'blue',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorIndigo,
              translation: 'indigo',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorGreen,
              translation: 'green',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorEmerald,
              translation: 'emerald',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorTeal,
              translation: 'teal',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorCyan,
              translation: 'cyan',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorPurple,
              translation: 'purple',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorGold,
              translation: 'gold',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorRed,
              translation: 'red',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorRust,
              translation: 'rust',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorOlive,
              translation: 'olive',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorGray,
              translation: 'gray',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorYellow,
              translation: 'yellow',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorViolet,
              translation: 'violet',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorIvory,
              translation: 'ivory',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorMagenta,
              translation: 'magenta',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorPeach,
              translation: 'peach',
            },
            {
              value: SeaPenTemplateOption.kTranslucentColorBlack,
              translation: 'black',
            },
          ],
        ],
      ]),
    },
    {
      id: SeaPenTemplateId.kScifi,
      title: 'Science fiction',
      text: `Otherworldly <${SeaPenTemplateChip.kScifiFeature}> in <${
          SeaPenTemplateChip.kScifiColor}> colors`,
      preview: [{
        url:
            'chrome://resources/ash/common/sea_pen/sea_pen_images/sea_pen_scifi.jpg',
      }],
      options: new Map([
        [
          SeaPenTemplateChip.kScifiFeature,
          [
            {
              value: SeaPenTemplateOption.kScifiFeatureStreet,
              translation: 'street',
            },
            {
              value: SeaPenTemplateOption.kScifiFeatureSkyline,
              translation: 'skyline',
            },
            {
              value: SeaPenTemplateOption.kScifiFeatureSwamp,
              translation: 'swamp',
            },
            {
              value: SeaPenTemplateOption.kScifiFeatureTransport,
              translation: 'transport',
            },
            {
              value: SeaPenTemplateOption.kScifiFeatureBusStop,
              translation: 'bus stop',
            },
            {
              value: SeaPenTemplateOption.kScifiFeatureDesert,
              translation: 'desert',
            },
            {
              value: SeaPenTemplateOption.kScifiFeatureBeach,
              translation: 'beach',
            },
            {
              value: SeaPenTemplateOption.kScifiFeatureMountains,
              translation: 'mountains',
            },
            {
              value: SeaPenTemplateOption.kScifiFeaturePark,
              translation: 'park',
            },
            {
              value: SeaPenTemplateOption.kScifiFeatureForest,
              translation: 'forest',
            },
            {
              value: SeaPenTemplateOption.kScifiFeatureSmallTown,
              translation: 'small town',
            },
            {
              value: SeaPenTemplateOption.kScifiFeatureFarm,
              translation: 'farm',
            },
            {
              value: SeaPenTemplateOption.kScifiFeatureUnderwater,
              translation: 'underwater',
            },
          ],
        ],
        [
          SeaPenTemplateChip.kScifiColor,
          [
            {
              value: SeaPenTemplateOption.kScifiColorEarthy,
              translation: 'earthy',
            },
            {
              value: SeaPenTemplateOption.kScifiColorVibrant,
              translation: 'vibrant',
            },
            {
              value: SeaPenTemplateOption.kScifiColorSilver,
              translation: 'silver',
            },
            {
              value: SeaPenTemplateOption.kScifiColorEerie,
              translation: 'eerie',
            },
            {
              value: SeaPenTemplateOption.kScifiColorComplementary,
              translation: 'complementary',
            },
            {
              value: SeaPenTemplateOption.kScifiColorNeutral,
              translation: 'neutral',
            },
          ],
        ],
      ]),
    },
  ];
}

export function getVcBackgroundTemplates(): SeaPenTemplate[] {
  return [
    {
      id: SeaPenTemplateId.kVcBackgroundSimple,
      title: 'Simple',
      text:
          `A <${SeaPenTemplateChip.kVcBackgroundSimpleStyle}> bookshelf in a <${
              SeaPenTemplateChip.kVcBackgroundSimpleTone}> room`,
      preview: [{
        url:
            'chrome://resources/ash/common/sea_pen/sea_pen_images/sea_pen_simple.jpg',
      }],
      options: new Map([
        [
          SeaPenTemplateChip.kVcBackgroundSimpleStyle,
          [
            {
              value: SeaPenTemplateOption.kVcBackgroundSimpleStyleMinimal,
              translation: 'minimal',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundSimpleStyleZen,
              translation: 'zen',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundSimpleStyleModern,
              translation: 'modern',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundSimpleStyleMagical,
              translation: 'magical',
            },
          ],
        ],
        [
          SeaPenTemplateChip.kVcBackgroundSimpleTone,
          [
            {
              value: SeaPenTemplateOption.kVcBackgroundSimpleToneNeutral,
              translation: 'neutral',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundSimpleToneDark,
              translation: 'dark',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundSimpleToneLight,
              translation: 'light',
            },
          ],
        ],
      ]),
    },
    {
      id: SeaPenTemplateId.kVcBackgroundOffice,
      title: 'Stylish office',
      text: `A <${SeaPenTemplateChip.kVcBackgroundOfficeStyle}> office with <${
          SeaPenTemplateChip.kVcBackgroundOfficeColor}> tones`,
      preview: [{
        url:
            'chrome://resources/ash/common/sea_pen/sea_pen_images/sea_pen_office.jpg',
      }],
      options: new Map([
        [
          SeaPenTemplateChip.kVcBackgroundOfficeStyle,
          [
            {
              value: SeaPenTemplateOption.kVcBackgroundOfficeStyleModern,
              translation: 'modern',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundOfficeStyleCreative,
              translation: 'creative',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundOfficeStyleTraditional,
              translation: 'traditional',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundOfficeStyleFuturistic,
              translation: 'futuristic',
            },
          ],
        ],
        [
          SeaPenTemplateChip.kVcBackgroundOfficeColor,
          [
            {
              value: SeaPenTemplateOption.kVcBackgroundOfficeColorNeutral,
              translation: 'neutral',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundOfficeColorDark,
              translation: 'dark',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundOfficeColorColorful,
              translation: 'colorful',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundOfficeColorEarthy,
              translation: 'earthy',
            },
          ],
        ],
      ]),
    },
    {
      id: SeaPenTemplateId.kVcBackgroundTerrainVc,
      title: 'Terrain',
      text:
          `<${SeaPenTemplateChip.kVcBackgroundTerrainFeature}> in shades of <${
              SeaPenTemplateChip.kVcBackgroundTerrainColor}>`,
      preview: [{
        url:
            'chrome://resources/ash/common/sea_pen/sea_pen_images/sea_pen_terrain_vc.jpg',
      }],
      options: new Map([
        [
          SeaPenTemplateChip.kVcBackgroundTerrainFeature,
          [
            {
              value: SeaPenTemplateOption.kVcBackgroundTerrainFeatureSaltLake,
              translation: 'salt lake',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundTerrainFeatureRiver,
              translation: 'glacial river',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundTerrainFeatureNorthernLights,
              translation: 'northern lights',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundTerrainFeatureSandDunes,
              translation: 'sand dunes',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundTerrainFeatureClayHills,
              translation: 'clay hills',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundTerrainFeatureSandyLagoon,
              translation: 'sandy lagoon',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundTerrainFeatureMountains,
              translation: 'mountains',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundTerrainFeatureBioluminescentBeach,
              translation: 'bioluminescent beach',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundTerrainFeatureFireflyForest,
              translation: 'firefly forest',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundTerrainFeatureDifferentPlanet,
              translation: 'different planet',
            },
          ],
        ],
        [
          SeaPenTemplateChip.kVcBackgroundTerrainColor,
          [
            {
              value: SeaPenTemplateOption.kVcBackgroundTerrainColorPink,
              translation: 'pink',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundTerrainColorTeal,
              translation: 'teal',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundTerrainColorWhite,
              translation: 'white',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundTerrainColorPurple,
              translation: 'purple',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundTerrainColorBlue,
              translation: 'blue',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundTerrainColorYellow,
              translation: 'yellow',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundTerrainColorMaroonPink,
              translation: 'maroon and pink',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundTerrainColorBluePurple,
              translation: 'blue and purple',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundTerrainColorPinkYellow,
              translation: 'pink and yellow',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundTerrainColorBluePink,
              translation: 'blue and pink',
            },
          ],
        ],
      ]),
    },
    {
      id: SeaPenTemplateId.kVcBackgroundCafe,
      title: 'Cafe',
      text: `A <${SeaPenTemplateChip.kVcBackgroundCafeStyle}> <${
          SeaPenTemplateChip.kVcBackgroundCafeType}> cafe`,
      preview: [{
        url:
            'chrome://resources/ash/common/sea_pen/sea_pen_images/sea_pen_cafe.jpg',
      }],
      options: new Map([
        [
          SeaPenTemplateChip.kVcBackgroundCafeStyle,
          [
            {
              value: SeaPenTemplateOption.kVcBackgroundCafeStyleCozy,
              translation: 'cozy',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCafeStyleNeutral,
              translation: 'neutral',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCafeStyleDistressed,
              translation: 'distressed',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCafeStyleClassic,
              translation: 'classic',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCafeStyleRomantic,
              translation: 'romantic',
            },
          ],
        ],
        [
          SeaPenTemplateChip.kVcBackgroundCafeType,
          [
            {
              value: SeaPenTemplateOption.kVcBackgroundCafeTypeCottage,
              translation: 'cottage',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCafeTypeModern,
              translation: 'modern',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCafeTypeTeaHouse,
              translation: 'tea house',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCafeTypeHighTea,
              translation: 'high tea',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCafeTypeOutdoor,
              translation: 'outdoor',
            },
          ],
        ],
      ]),
    },
    {
      id: SeaPenTemplateId.kVcBackgroundArt,
      title: 'Classic art',
      text: `A painting of a <${
          SeaPenTemplateChip.kVcBackgroundArtFeature}> in the <${
          SeaPenTemplateChip.kVcBackgroundArtMovement}> style`,
      preview: [{
        url:
            'chrome://resources/ash/common/sea_pen/sea_pen_images/sea_pen_art.jpg',
      }],
      options: new Map([
        [
          SeaPenTemplateChip.kVcBackgroundArtFeature,
          [
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureCanyon,
              translation: 'canyon',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureMountain,
              translation: 'mountain',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureBeach,
              translation: 'beach',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureCave,
              translation: 'cave',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureCliff,
              translation: 'cliff',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureForest,
              translation: 'forest',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureGlacier,
              translation: 'glacier',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureIsland,
              translation: 'tropical island',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureJungle,
              translation: 'jungle',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureLake,
              translation: 'lake',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureMeadow,
              translation: 'meadow',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureOcean,
              translation: 'vast ocean',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureRiver,
              translation: 'river',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureDune,
              translation: 'sand dune',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureSwamp,
              translation: 'swamp',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureValley,
              translation: 'valley',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureWaterfall,
              translation: 'waterfall',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureField,
              translation: 'field of flowers ',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureCityscape,
              translation: 'cityscape',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtFeatureVillage,
              translation: 'village',
            },
          ],
        ],
        [
          SeaPenTemplateChip.kVcBackgroundArtMovement,
          [
            {
              value: SeaPenTemplateOption.kVcBackgroundArtMovementAvantGarde,
              translation: 'avant-garde',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtMovementRealist,
              translation: 'realist',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtMovementExpressionist,
              translation: 'expressionist',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtMovementImpressionist,
              translation: 'impressionist',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundArtMovementPostImpressionist,
              translation: 'post-impressionist',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtMovementArtNouveau,
              translation: 'art nouveau',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtMovementBaroque,
              translation: 'baroque',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtMovementBauhaus,
              translation: 'bauhaus',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtMovementClassicist,
              translation: 'classicist',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtMovementWatercolor,
              translation: 'watercolor',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtMovementAbstract,
              translation: 'abstract',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtMovementPointillist,
              translation: 'pointillist',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtMovementGraphicDesign,
              translation: 'graphic design',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtMovementModernArt,
              translation: 'modern art',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtMovementAnime,
              translation: 'anime',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtMovementPixelArt,
              translation: 'pixel art',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundArtMovementCyberpunk,
              translation: 'cyberpunk',
            },
          ],
        ],
      ]),
    },
    {
      id: SeaPenTemplateId.kVcBackgroundDreamscapesVc,
      title: 'Dreamscapes',
      text: `A surreal <${
          SeaPenTemplateChip.kVcBackgroundDreamscapesObject}> made of <${
          SeaPenTemplateChip.kVcBackgroundDreamscapesMaterial}> in <${
          SeaPenTemplateChip.kVcBackgroundDreamscapesColors}>`,
      preview: [{
        url:
            'chrome://resources/ash/common/sea_pen/sea_pen_images/sea_pen_dreamscapes_vc.jpg',
      }],
      options: new Map([
        [
          SeaPenTemplateChip.kVcBackgroundDreamscapesObject,
          [
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesObjectBicycle,
              translation: 'bicycle',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesObjectCastle,
              translation: 'castle',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundDreamscapesObjectBuilding,
              translation: 'building',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesObjectBoat,
              translation: 'boat',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesObjectLamp,
              translation: 'lamp',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesObjectTable,
              translation: 'table',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesObjectBridge,
              translation: 'bridge',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundDreamscapesObjectLighthouse,
              translation: 'lighthouse',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesObjectPagoda,
              translation: 'pagoda',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesObjectPalace,
              translation: 'palace',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesObjectTower,
              translation: 'tower',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesObjectChair,
              translation: 'chair',
            },
          ],
        ],
        [
          SeaPenTemplateChip.kVcBackgroundDreamscapesMaterial,
          [
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialFlowers,
              translation: 'flowers',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialSilk,
              translation: 'silk',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialFelt,
              translation: 'felt',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialBurlap,
              translation: 'burlap',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialChiffon,
              translation: 'chiffon',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialCotton,
              translation: 'cotton',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialFur,
              translation: 'fur',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialLace,
              translation: 'lace',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialLinen,
              translation: 'linen',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialOrganza,
              translation: 'organza',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialTulle,
              translation: 'tulle',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialWool,
              translation: 'wool',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialYarn,
              translation: 'yarn',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialFleece,
              translation: 'fleece',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialClay,
              translation: 'clay',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialStone,
              translation: 'stone',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialWood,
              translation: 'wood',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialAmethyst,
              translation: 'amethyst',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundDreamscapesMaterialLapisLuzuli,
              translation: 'lapis luzuli',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialObsidian,
              translation: 'obsidian',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialOpal,
              translation: 'opal',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundDreamscapesMaterialSapphire,
              translation: 'sapphire',
            },
          ],
        ],
        [
          SeaPenTemplateChip.kVcBackgroundDreamscapesColors,
          [
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundDreamscapesColorsPinkPurple,
              translation: 'pink and purple',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundDreamscapesColorsCoralTan,
              translation: 'coral and tan',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundDreamscapesColorsCreamOrange,
              translation: 'cream and orange',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundDreamscapesColorsBlueIndigo,
              translation: 'blue and indigo',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundDreamscapesColorsGreenTeal,
              translation: 'green and teal',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundDreamscapesColorsBurgundyMaroon,
              translation: 'burgundy and maroon',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundDreamscapesColorsYellowTeal,
              translation: 'yellow and teal',
            },
          ],
        ],
      ]),
    },
    {
      id: SeaPenTemplateId.kVcBackgroundCharacters,
      title: 'Characters',
      text: `<${SeaPenTemplateChip.kVcBackgroundCharactersColor}> <${
          SeaPenTemplateChip.kVcBackgroundCharactersSubjects}> on a <${
          SeaPenTemplateChip.kVcBackgroundCharactersBackground}> background`,
      preview: [{
        url:
            'chrome://resources/ash/common/sea_pen/sea_pen_images/sea_pen_characters.jpg',
      }],
      options: new Map([
        [
          SeaPenTemplateChip.kVcBackgroundCharactersColor,
          [
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorYellow,
              translation: 'yellow',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorPink,
              translation: 'pink',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorRed,
              translation: 'red',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorBlue,
              translation: 'blue',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorIndigo,
              translation: 'indigo',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorGreen,
              translation: 'green',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorCyan,
              translation: 'cyan',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorPurple,
              translation: 'purple',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorBrown,
              translation: 'brown',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorGold,
              translation: 'gold',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorRust,
              translation: 'rust',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorOlive,
              translation: 'olive',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorGray,
              translation: 'gray',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorWhite,
              translation: 'white',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorBeige,
              translation: 'beige',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorMagenta,
              translation: 'magenta',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorNeonGreen,
              translation: 'neon green',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorLightBlue,
              translation: 'light blue',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorNeonPink,
              translation: 'neon pink',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersColorCoralPink,
              translation: 'coral pink',
            },
          ],
        ],
        [
          SeaPenTemplateChip.kVcBackgroundCharactersSubjects,
          [
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsLemons,
              translation: 'lemons',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersSubjectsFlowers,
              translation: 'flowers',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsApples,
              translation: 'apples',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersSubjectsCherries,
              translation: 'cherries',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersSubjectsOranges,
              translation: 'oranges',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundCharactersSubjectsPineapples,
              translation: 'pineapples',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundCharactersSubjectsStrawberries,
              translation: 'strawberries',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundCharactersSubjectsWatermelons,
              translation: 'watermelons',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersSubjectsPotatoes,
              translation: 'potatoes',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsSushi,
              translation: 'sushi',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundCharactersSubjectsBaconAndEggs,
              translation: 'bacon and eggs',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsPizza,
              translation: 'pizza',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersSubjectsHotDogs,
              translation: 'hot dogs',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundCharactersSubjectsHamburgers,
              translation: 'hamburgers',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsRamen,
              translation: 'ramen',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsTacos,
              translation: 'tacos',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersSubjectsBunnies,
              translation: 'bunnies',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsCats,
              translation: 'cats',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsDogs,
              translation: 'dogs',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsKoalas,
              translation: 'koalas',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsPandas,
              translation: 'pandas',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersSubjectsPenguins,
              translation: 'penguins',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsPigs,
              translation: 'pigs',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsSloths,
              translation: 'sloths',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsPonies,
              translation: 'ponies',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersSubjectsElephants,
              translation: 'elephants',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsFoxes,
              translation: 'foxes',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsOwls,
              translation: 'owls',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsCrabs,
              translation: 'crabs',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsBees,
              translation: 'bees',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundCharactersSubjectsButterflies,
              translation: 'butterflies',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersSubjectsBicycles,
              translation: 'bicycles',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsBoats,
              translation: 'boats',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersSubjectsBooks,
              translation: 'books',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersSubjectsCutlery,
              translation: 'cutlery',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersSubjectsUmbrellas,
              translation: 'umbrellas',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundCharactersSubjectsInstruments,
              translation: 'instruments',
            },
          ],
        ],
        [
          SeaPenTemplateChip.kVcBackgroundCharactersBackground,
          [
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersBackgroundPurple,
              translation: 'purple',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersBackgroundBlue,
              translation: 'blue',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersBackgroundIndigo,
              translation: 'indigo',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersBackgroundGreen,
              translation: 'green',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersBackgroundCyan,
              translation: 'cyan',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersBackgroundBrown,
              translation: 'brown',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersBackgroundGold,
              translation: 'gold',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersBackgroundRed,
              translation: 'red',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersBackgroundRust,
              translation: 'rust',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersBackgroundOlive,
              translation: 'olive',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersBackgroundPink,
              translation: 'pink',
            },
            {
              value: SeaPenTemplateOption.kVcBackgroundCharactersBackgroundGray,
              translation: 'gray',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersBackgroundYellow,
              translation: 'yellow',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersBackgroundWhite,
              translation: 'white',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersBackgroundBeige,
              translation: 'beige',
            },
            {
              value:
                  SeaPenTemplateOption.kVcBackgroundCharactersBackgroundMagenta,
              translation: 'magenta',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundCharactersBackgroundNeonGreen,
              translation: 'neon green',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundCharactersBackgroundLightBlue,
              translation: 'light blue',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundCharactersBackgroundNeonPink,
              translation: 'neon pink',
            },
            {
              value: SeaPenTemplateOption
                         .kVcBackgroundCharactersBackgroundCoralPink,
              translation: 'coral pink',
            },
          ],
        ],
      ]),
    },
  ];
}
